<html>
<head>
<title>Ogre::TRect&lt; T &gt; Struct Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1TRect.html">TRect</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TRect&lt; T &gt; Struct Template Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TRect" -->
<p><code>#include &lt;<a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>&gt;</code></p>

<p><a href="structOgre_1_1TRect-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#a91f3cea3b1851f9b4b9004df78822678">TRect</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#a79e390fbd62e5a819207d6aee0789ab5">TRect</a> (T const &amp;l, T const &amp;t, T const &amp;r, T const &amp;b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#aaf94532ce0aaa722ff067be346fa15b1">TRect</a> (<a class="el" href="structOgre_1_1TRect.html">TRect</a> const &amp;o)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1TRect.html">TRect</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#a7acb1f97164a856f9e39305dbd2812bd">operator=</a> (<a class="el" href="structOgre_1_1TRect.html">TRect</a> const &amp;o)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#a8c4a6e50836a2d77eec05f967fc5c92c">width</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#ae6ad37ddfdc8c836983e06d799160550">height</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#a99c068ad0db7f16a262d840026176f8a">isNull</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#a4b857f788936dbeeb63ac64fc5e9fb99">setNull</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1TRect.html">TRect</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#ae9c7c3a5d3b95ad159e65c9af9d7b173">merge</a> (const <a class="el" href="structOgre_1_1TRect.html">TRect</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1TRect.html">TRect</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#a0eec757b8cea8b9bdd5a3ed8ffa70628">intersect</a> (const <a class="el" href="structOgre_1_1TRect.html">TRect</a> &amp;rhs) const </td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#a7f8310e37638f8790a89f2dd64ff3fe1">left</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#a54b9de090a6cc533511d51d2bb9b0b82">top</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#a56b6ad37d298b66bc7366431f6f786b5">right</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#a36f08aa8d3949185a90a55372a1fb389">bottom</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br/>
struct Ogre::TRect&lt; T &gt;</h3>


<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00556">556</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a91f3cea3b1851f9b4b9004df78822678"></a><!-- doxytag: member="Ogre::TRect::TRect" ref="a91f3cea3b1851f9b4b9004df78822678" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html">TRect</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00559">559</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a79e390fbd62e5a819207d6aee0789ab5"></a><!-- doxytag: member="Ogre::TRect::TRect" ref="a79e390fbd62e5a819207d6aee0789ab5" args="(T const &amp;l, T const &amp;t, T const &amp;r, T const &amp;b)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html">TRect</a> </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>l</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00560">560</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaf94532ce0aaa722ff067be346fa15b1"></a><!-- doxytag: member="Ogre::TRect::TRect" ref="aaf94532ce0aaa722ff067be346fa15b1" args="(TRect const &amp;o)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html">TRect</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1TRect.html">TRect</a>&lt; T &gt; const &amp;&#160;</td>
          <td class="paramname"><em>o</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00564">564</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ae6ad37ddfdc8c836983e06d799160550"></a><!-- doxytag: member="Ogre::TRect::height" ref="ae6ad37ddfdc8c836983e06d799160550" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html#ae6ad37ddfdc8c836983e06d799160550">height</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00580">580</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00584">Ogre::TRect&lt; Real &gt;::isNull()</a>.</p>

</div>
</div>
<a class="anchor" id="a0eec757b8cea8b9bdd5a3ed8ffa70628"></a><!-- doxytag: member="Ogre::TRect::intersect" ref="a0eec757b8cea8b9bdd5a3ed8ffa70628" args="(const TRect &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TRect.html">TRect</a> <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html#a0eec757b8cea8b9bdd5a3ed8ffa70628">intersect</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1TRect.html">TRect</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00609">609</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a99c068ad0db7f16a262d840026176f8a"></a><!-- doxytag: member="Ogre::TRect::isNull" ref="a99c068ad0db7f16a262d840026176f8a" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html#a99c068ad0db7f16a262d840026176f8a">isNull</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00584">584</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00609">Ogre::TRect&lt; Real &gt;::intersect()</a>, and <a class="el" href="OgreCommon_8h_source.html#l00592">Ogre::TRect&lt; Real &gt;::merge()</a>.</p>

</div>
</div>
<a class="anchor" id="ae9c7c3a5d3b95ad159e65c9af9d7b173"></a><!-- doxytag: member="Ogre::TRect::merge" ref="ae9c7c3a5d3b95ad159e65c9af9d7b173" args="(const TRect &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TRect.html">TRect</a>&amp; <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html#ae9c7c3a5d3b95ad159e65c9af9d7b173">merge</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1TRect.html">TRect</a>&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00592">592</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7acb1f97164a856f9e39305dbd2812bd"></a><!-- doxytag: member="Ogre::TRect::operator=" ref="a7acb1f97164a856f9e39305dbd2812bd" args="(TRect const &amp;o)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TRect.html">TRect</a>&amp; <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1TRect.html">TRect</a>&lt; T &gt; const &amp;&#160;</td>
          <td class="paramname"><em>o</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00568">568</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4b857f788936dbeeb63ac64fc5e9fb99"></a><!-- doxytag: member="Ogre::TRect::setNull" ref="a4b857f788936dbeeb63ac64fc5e9fb99" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html#a4b857f788936dbeeb63ac64fc5e9fb99">setNull</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00588">588</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8c4a6e50836a2d77eec05f967fc5c92c"></a><!-- doxytag: member="Ogre::TRect::width" ref="a8c4a6e50836a2d77eec05f967fc5c92c" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html#a8c4a6e50836a2d77eec05f967fc5c92c">width</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00576">576</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00584">Ogre::TRect&lt; Real &gt;::isNull()</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a36f08aa8d3949185a90a55372a1fb389"></a><!-- doxytag: member="Ogre::TRect::bottom" ref="a36f08aa8d3949185a90a55372a1fb389" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html#a36f08aa8d3949185a90a55372a1fb389">bottom</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00558">558</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00580">Ogre::TRect&lt; Real &gt;::height()</a>, <a class="el" href="OgreCommon_8h_source.html#l00609">Ogre::TRect&lt; Real &gt;::intersect()</a>, <a class="el" href="OgreCommon_8h_source.html#l00592">Ogre::TRect&lt; Real &gt;::merge()</a>, <a class="el" href="OgreCommon_8h_source.html#l00568">Ogre::TRect&lt; Real &gt;::operator=()</a>, and <a class="el" href="OgreCommon_8h_source.html#l00588">Ogre::TRect&lt; Real &gt;::setNull()</a>.</p>

</div>
</div>
<a class="anchor" id="a7f8310e37638f8790a89f2dd64ff3fe1"></a><!-- doxytag: member="Ogre::TRect::left" ref="a7f8310e37638f8790a89f2dd64ff3fe1" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html#a7f8310e37638f8790a89f2dd64ff3fe1">left</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00558">558</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00609">Ogre::TRect&lt; Real &gt;::intersect()</a>, <a class="el" href="OgreCommon_8h_source.html#l00592">Ogre::TRect&lt; Real &gt;::merge()</a>, <a class="el" href="OgreCommon_8h_source.html#l00637">Ogre::operator&lt;&lt;()</a>, <a class="el" href="OgreCommon_8h_source.html#l00568">Ogre::TRect&lt; Real &gt;::operator=()</a>, <a class="el" href="OgreFont_8h_source.html#l00296">Ogre::Font::setGlyphTexCoords()</a>, <a class="el" href="OgreCommon_8h_source.html#l00588">Ogre::TRect&lt; Real &gt;::setNull()</a>, and <a class="el" href="OgreCommon_8h_source.html#l00576">Ogre::TRect&lt; Real &gt;::width()</a>.</p>

</div>
</div>
<a class="anchor" id="a56b6ad37d298b66bc7366431f6f786b5"></a><!-- doxytag: member="Ogre::TRect::right" ref="a56b6ad37d298b66bc7366431f6f786b5" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html#a56b6ad37d298b66bc7366431f6f786b5">right</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00558">558</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00609">Ogre::TRect&lt; Real &gt;::intersect()</a>, <a class="el" href="OgreCommon_8h_source.html#l00592">Ogre::TRect&lt; Real &gt;::merge()</a>, <a class="el" href="OgreCommon_8h_source.html#l00568">Ogre::TRect&lt; Real &gt;::operator=()</a>, <a class="el" href="OgreCommon_8h_source.html#l00588">Ogre::TRect&lt; Real &gt;::setNull()</a>, and <a class="el" href="OgreCommon_8h_source.html#l00576">Ogre::TRect&lt; Real &gt;::width()</a>.</p>

</div>
</div>
<a class="anchor" id="a54b9de090a6cc533511d51d2bb9b0b82"></a><!-- doxytag: member="Ogre::TRect::top" ref="a54b9de090a6cc533511d51d2bb9b0b82" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html#a54b9de090a6cc533511d51d2bb9b0b82">top</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00558">558</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00580">Ogre::TRect&lt; Real &gt;::height()</a>, <a class="el" href="OgreCommon_8h_source.html#l00609">Ogre::TRect&lt; Real &gt;::intersect()</a>, <a class="el" href="OgreCommon_8h_source.html#l00592">Ogre::TRect&lt; Real &gt;::merge()</a>, <a class="el" href="OgreCommon_8h_source.html#l00568">Ogre::TRect&lt; Real &gt;::operator=()</a>, and <a class="el" href="OgreCommon_8h_source.html#l00588">Ogre::TRect&lt; Real &gt;::setNull()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
